import treemap.*;
Treemap map;
MapLayout layoutAlgorithm = new SquarifiedLayout();

int maxFontSize = 40;
int minFontSize = 10;

PFont font, font2;


void setup( ) {
size(1024, 600);
smooth( );
strokeWeight(0.25f);
WordMap mapData = new WordMap( );
  font = createFont("Helvetica", 10, true);
  font2 = createFont("Helvetica", 18, true);

String[] lines = loadStrings("udolpho.txt");
for (int i = 0; i < lines.length; i++) {
mapData.addWord(lines[i]);
}
mapData.finishAdd( );
map = new Treemap(mapData, 0, 0, width/1.5, height);
}

void draw( ) {
background(104);
map.setLayout(layoutAlgorithm);
map.updateLayout();
map.draw( );
  noLoop();
drawStaticText();
}
